Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.context.exception
Class CompensationScope

    java.lang.Object
      org.jbpm.process.core.context.AbstractContext
          org.jbpm.process.core.context.exception.ExceptionScope
              org.jbpm.process.core.context.exception.CompensationScope

All Implemented Interfaces:
  Serializable, Context

    public class CompensationScope

extends ExceptionScope

This scope represents the collection of compensation handlers in a (sub)process.

See Also:
  Serialized Form

Field Summary
`static String` | `COMPENSATION_SCOPE`
`static String` | `GENERAL_COMPENSATION_PREFIX`

Fields inherited from class org.jbpm.process.core.context.exception.ExceptionScope
`EXCEPTION_SCOPE, exceptionHandlers`

Constructor Summary
`CompensationScope()`

Method Summary
`String` | `getContextContainerId()`
`ExceptionHandler` | `getExceptionHandler(String exception)`
`String` | `getType()`
`Context` | `resolveContext(Object activityRefStr)` Resolves in one of two cases: when the (String) activityRefStr is equal to: 1. the id of an activity that has a compensation handler.
`void` | `setContextContainer(ContextContainer contextContainer)`

Methods inherited from class org.jbpm.process.core.context.exception.ExceptionScope
`getExceptionHandlers, removeExceptionHandler, setExceptionHandler, setExceptionHandlers`

Methods inherited from class org.jbpm.process.core.context.AbstractContext
`getContextContainer, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPENSATION_SCOPE

    public static final String COMPENSATION_SCOPE

See Also:
  Constant Field Values

### GENERAL_COMPENSATION_PREFIX

    public static final String GENERAL_COMPENSATION_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### CompensationScope

    public CompensationScope()

Method Detail

### getType

    public String getType()

  Specified by:
    `getType` in interface `Context`
  Overrides:
    `getType` in class `ExceptionScope`

### setContextContainer

    public void setContextContainer(ContextContainer contextContainer)

  Overrides:
    `setContextContainer` in class `AbstractContext`

### getContextContainerId

    public String getContextContainerId()

### getExceptionHandler

    public ExceptionHandler getExceptionHandler(String exception)

  Overrides:
    `getExceptionHandler` in class `ExceptionScope`

### resolveContext

    public Context resolveContext(Object activityRefStr)

  Resolves in one of two cases: when the (String) activityRefStr is equal to: 1. the id of an activity that has a compensation handler. This could be a task with a compensation boundary event or a sub-process that contains a compensation event sub-process. 2. "general:" + the id of the (sub)process that contains the compensation handler. In this case, we are signalling the "implicit compensation handler", a.k.a. broadcast/general compensation.

  Specified by:
    `resolveContext` in interface `Context`
  Overrides:
    `resolveContext` in class `ExceptionScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.